Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.HTML2PDFSettingData Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | HTML2PDFSettingData ()
| Constructor.
def | HTML2PDFSettingData (page_width, page_height, is_to_page_scale, page_margin, is_convert_link, rotate_degrees, is_generate_tag, page_mode, to_generate_bookmarks, scaling_mode, encoding_format, to_render_images, to_remove_underline_for_link, to_set_headerfooter, headerfooter_title, headerfooter_url, bookmark_root_name, to_resize_objects, to_print_background, to_optimize_tag_tree, media_style, to_load_active_content, to_disable_sandbox, to_use_blacklist, to_hide_header, to_hide_footer, to_deny_local_file_access)
| Constructor, with parameters. More...
def | Set (page_width, page_height, is_to_page_scale, page_margin, is_convert_link, rotate_degrees, is_generate_tag, page_mode, to_generate_bookmarks, scaling_mode, encoding_format, to_render_images, to_remove_underline_for_link, to_set_headerfooter, headerfooter_title, headerfooter_url, bookmark_root_name, to_resize_objects, to_print_background, to_optimize_tag_tree, media_style, to_load_active_content, to_disable_sandbox, to_use_blacklist, to_hide_header, to_hide_footer, to_deny_local_file_access)
| Set value. More...

## Static Public Attributes
| bookmark_root_name = _fsdk.HTML2PDFSettingData_bookmark_root_name
| The bookmark's root name.
| e_EncodingFormatArabic = _fsdk.HTML2PDFSettingData_e_EncodingFormatArabic
| Encoding foramt: "Arabic".
| e_EncodingFormatASCII = _fsdk.HTML2PDFSettingData_e_EncodingFormatASCII
| Encoding foramt: "ASCII".
| e_EncodingFormatASCII_7_bit = _fsdk.HTML2PDFSettingData_e_EncodingFormatASCII_7_bit
| Encoding foramt: "ASCII-7-bit".
| e_EncodingFormatBHASKAR = _fsdk.HTML2PDFSettingData_e_EncodingFormatBHASKAR
| Encoding foramt: "BHASKAR".
| e_EncodingFormatBIG5 = _fsdk.HTML2PDFSettingData_e_EncodingFormatBIG5
| Encoding foramt: "BIG5".
| e_EncodingFormatBIG5_CP950 = _fsdk.HTML2PDFSettingData_e_EncodingFormatBIG5_CP950
| Encoding foramt: "BIG5-CP950".
| e_EncodingFormatBIG5_HKSCS = _fsdk.HTML2PDFSettingData_e_EncodingFormatBIG5_HKSCS
| Encoding foramt: "BIG5_HKSCS".
| e_EncodingFormatCNS = _fsdk.HTML2PDFSettingData_e_EncodingFormatCNS
| Encoding foramt: "CNS".
| e_EncodingFormatCP1250 = _fsdk.HTML2PDFSettingData_e_EncodingFormatCP1250
| Encoding foramt: "CP1250".
| e_EncodingFormatCP1251 = _fsdk.HTML2PDFSettingData_e_EncodingFormatCP1251
| Encoding foramt: "CP1251".
| e_EncodingFormatCP1252 = _fsdk.HTML2PDFSettingData_e_EncodingFormatCP1252
| Encoding foramt: "CP1252".
| e_EncodingFormatCP1253 = _fsdk.HTML2PDFSettingData_e_EncodingFormatCP1253
| Encoding foramt: "CP1253".
| e_EncodingFormatCP1254 = _fsdk.HTML2PDFSettingData_e_EncodingFormatCP1254
| Encoding foramt: "CP1254".
| e_EncodingFormatCP1255 = _fsdk.HTML2PDFSettingData_e_EncodingFormatCP1255
| Encoding foramt: "CP1255".
| e_EncodingFormatCP1256 = _fsdk.HTML2PDFSettingData_e_EncodingFormatCP1256
| Encoding foramt: "CP1256".
| e_EncodingFormatCP1257 = _fsdk.HTML2PDFSettingData_e_EncodingFormatCP1257
| Encoding foramt: "CP1257".
| e_EncodingFormatCP852 = _fsdk.HTML2PDFSettingData_e_EncodingFormatCP852
| Encoding foramt: "CP852".
| e_EncodingFormatCP866 = _fsdk.HTML2PDFSettingData_e_EncodingFormatCP866
| Encoding foramt: "CP866".
| e_EncodingFormatCP874 = _fsdk.HTML2PDFSettingData_e_EncodingFormatCP874
| Encoding foramt: "CP874".
| e_EncodingFormatCP932 = _fsdk.HTML2PDFSettingData_e_EncodingFormatCP932
| Encoding foramt: "CP932".
| e_EncodingFormatCSN_369103 = _fsdk.HTML2PDFSettingData_e_EncodingFormatCSN_369103
| Encoding foramt: "CSN_369103".
| e_EncodingFormatDefault = _fsdk.HTML2PDFSettingData_e_EncodingFormatDefault
| Encoding foramt: Default.The encoding format will be automatically detected in chromium.
| e_EncodingFormatEUC = _fsdk.HTML2PDFSettingData_e_EncodingFormatEUC
| Encoding foramt: "EUC".
| e_EncodingFormatEUC_CN = _fsdk.HTML2PDFSettingData_e_EncodingFormatEUC_CN
| Encoding foramt: "EUC-CN".
| e_EncodingFormatEUC_JP = _fsdk.HTML2PDFSettingData_e_EncodingFormatEUC_JP
| Encoding foramt: "EUC-JP".
| e_EncodingFormatGB = _fsdk.HTML2PDFSettingData_e_EncodingFormatGB
| Encoding foramt: "GB".
| e_EncodingFormatGB18030 = _fsdk.HTML2PDFSettingData_e_EncodingFormatGB18030
| Encoding foramt: "GB18030".
| e_EncodingFormatGBK = _fsdk.HTML2PDFSettingData_e_EncodingFormatGBK
| Encoding foramt: "GBK".
| e_EncodingFormatGreek = _fsdk.HTML2PDFSettingData_e_EncodingFormatGreek
| Encoding foramt: "Greek".
| e_EncodingFormatHebrew = _fsdk.HTML2PDFSettingData_e_EncodingFormatHebrew
| Encoding foramt: "Hebrew".
| e_EncodingFormatHTCHANAKYA = _fsdk.HTML2PDFSettingData_e_EncodingFormatHTCHANAKYA
| Encoding foramt: "HTCHANAKYA".
| e_EncodingFormatHZ_GB_2312 = _fsdk.HTML2PDFSettingData_e_EncodingFormatHZ_GB_2312
| Encoding foramt: "HZ-GB-2312".
| e_EncodingFormatISO_2022_CN = _fsdk.HTML2PDFSettingData_e_EncodingFormatISO_2022_CN
| Encoding foramt: "ISO_2022_CN".
| e_EncodingFormatISO_2022_KR = _fsdk.HTML2PDFSettingData_e_EncodingFormatISO_2022_KR
| Encoding foramt: "ISO-2022-KR".
| e_EncodingFormatISO_8859_11 = _fsdk.HTML2PDFSettingData_e_EncodingFormatISO_8859_11
| Encoding foramt: "ISO-8859-11".
| e_EncodingFormatISO_8859_13 = _fsdk.HTML2PDFSettingData_e_EncodingFormatISO_8859_13
| Encoding foramt: "ISO-8859-13".
| e_EncodingFormatISO_8859_15 = _fsdk.HTML2PDFSettingData_e_EncodingFormatISO_8859_15
| Encoding foramt: "ISO-8859-15".
| e_EncodingFormatISO_8859_5 = _fsdk.HTML2PDFSettingData_e_EncodingFormatISO_8859_5
| Encoding foramt: "ISO-8859-5".
| e_EncodingFormatISO_8859_8_I = _fsdk.HTML2PDFSettingData_e_EncodingFormatISO_8859_8_I
| Encoding foramt: "ISO-8859-8-I".
| e_EncodingFormatJAGRAN = _fsdk.HTML2PDFSettingData_e_EncodingFormatJAGRAN
| Encoding foramt: "JAGRAN".
| e_EncodingFormatJIS = _fsdk.HTML2PDFSettingData_e_EncodingFormatJIS
| Encoding foramt: "JIS".
| e_EncodingFormatKOI8R = _fsdk.HTML2PDFSettingData_e_EncodingFormatKOI8R
| Encoding foramt: "KOI8R".
| e_EncodingFormatKOI8U = _fsdk.HTML2PDFSettingData_e_EncodingFormatKOI8U
| Encoding foramt: "KOI8U".
| e_EncodingFormatKSC = _fsdk.HTML2PDFSettingData_e_EncodingFormatKSC
| Encoding foramt: "KSC".
| e_EncodingFormatLatin2 = _fsdk.HTML2PDFSettingData_e_EncodingFormatLatin2
| Encoding foramt: "Latin2".
| e_EncodingFormatLatin3 = _fsdk.HTML2PDFSettingData_e_EncodingFormatLatin3
| Encoding foramt: "Latin3".
| e_EncodingFormatLatin4 = _fsdk.HTML2PDFSettingData_e_EncodingFormatLatin4
| Encoding foramt: "Latin4".
| e_EncodingFormatLatin5 = _fsdk.HTML2PDFSettingData_e_EncodingFormatLatin5
| Encoding foramt: "Latin5".
| e_EncodingFormatLatin6 = _fsdk.HTML2PDFSettingData_e_EncodingFormatLatin6
| Encoding foramt: "Latin6".
| e_EncodingFormatMACINTOSH = _fsdk.HTML2PDFSettingData_e_EncodingFormatMACINTOSH
| Encoding foramt: "MACINTOSH".
| e_EncodingFormatSJS = _fsdk.HTML2PDFSettingData_e_EncodingFormatSJS
| Encoding foramt: "SJS".
| e_EncodingFormatTAB = _fsdk.HTML2PDFSettingData_e_EncodingFormatTAB
| Encoding foramt: "TAB".
| e_EncodingFormatTAM = _fsdk.HTML2PDFSettingData_e_EncodingFormatTAM
| Encoding foramt: "TAM".
| e_EncodingFormatTSCII = _fsdk.HTML2PDFSettingData_e_EncodingFormatTSCII
| Encoding foramt: "TSCII".
| e_EncodingFormatUnicode = _fsdk.HTML2PDFSettingData_e_EncodingFormatUnicode
| Encoding foramt: "Unicode".
| e_EncodingFormatUTF7 = _fsdk.HTML2PDFSettingData_e_EncodingFormatUTF7
| Encoding foramt: "UTF7".
| e_EncodingFormatUTF_16BE = _fsdk.HTML2PDFSettingData_e_EncodingFormatUTF_16BE
| Encoding foramt: "UTF-16BE".
| e_EncodingFormatUTF_16LE = _fsdk.HTML2PDFSettingData_e_EncodingFormatUTF_16LE
| Encoding foramt: "UTF-16LE".
| e_EncodingFormatUTF_32BE = _fsdk.HTML2PDFSettingData_e_EncodingFormatUTF_32BE
| Encoding foramt: "UTF-32BE".
| e_EncodingFormatUTF_32LE = _fsdk.HTML2PDFSettingData_e_EncodingFormatUTF_32LE
| Encoding foramt: "UTF-32LE".
| e_EncodingFormatVISUAL = _fsdk.HTML2PDFSettingData_e_EncodingFormatVISUAL
| Encoding foramt: "VISUAL".
| e_EncodingFormatX_BINARYENC = _fsdk.HTML2PDFSettingData_e_EncodingFormatX_BINARYENC
| Encoding foramt: "X-BINARYENC".
| e_EncodingFormatX_DoCoMo_Shift_JIS = _fsdk.HTML2PDFSettingData_e_EncodingFormatX_DoCoMo_Shift_JIS
| Encoding foramt: "X-DoCoMo-Shift_JIS".
| e_EncodingFormatX_KDDI_ISO_2022_JP = _fsdk.HTML2PDFSettingData_e_EncodingFormatX_KDDI_ISO_2022_JP
| Encoding foramt: "X-KDDI-ISO-2022-JP".
| e_EncodingFormatX_KDDI_Shift_JIS = _fsdk.HTML2PDFSettingData_e_EncodingFormatX_KDDI_Shift_JIS
| Encoding foramt: "X-KDDI-Shift_JIS".
| e_EncodingFormatX_SoftBank_ISO_2022_JP = _fsdk.HTML2PDFSettingData_e_EncodingFormatX_SoftBank_ISO_2022_JP
| Encoding foramt: "X-SoftBank-ISO-2022-JP".
| e_EncodingFormatX_SoftBank_Shift_JIS = _fsdk.HTML2PDFSettingData_e_EncodingFormatX_SoftBank_Shift_JIS
| Encoding foramt: "X-SoftBank-Shift_JIS".
| e_EncodingFormatX_TAM_ELANGO = _fsdk.HTML2PDFSettingData_e_EncodingFormatX_TAM_ELANGO
| Encoding foramt: "X-TAM-ELANGO".
| e_EncodingFormatX_TAM_LTTMBARANI = _fsdk.HTML2PDFSettingData_e_EncodingFormatX_TAM_LTTMBARANI
| Encoding foramt: "X-TAM-LTTMBARANI".
| e_EncodingFormatX_TAM_SHREE = _fsdk.HTML2PDFSettingData_e_EncodingFormatX_TAM_SHREE
| Encoding foramt: "X-TAM-SHREE".
| e_EncodingFormatX_TAM_TBOOMIS = _fsdk.HTML2PDFSettingData_e_EncodingFormatX_TAM_TBOOMIS
| Encoding foramt: "X-TAM-TBOOMIS".
| e_EncodingFormatX_TAM_TMNEWS = _fsdk.HTML2PDFSettingData_e_EncodingFormatX_TAM_TMNEWS
| Encoding foramt: "X-TAM-TMNEWS".
| e_EncodingFormatX_TAM_WEBTAMIL = _fsdk.HTML2PDFSettingData_e_EncodingFormatX_TAM_WEBTAMIL
| Encoding foramt: "X-TAM-WEBTAMIL".
| e_EncodingFormatX_UTF8UTF8 = _fsdk.HTML2PDFSettingData_e_EncodingFormatX_UTF8UTF8
| Encoding foramt: "X-UTF8UTF8".
| e_MediaStylePrint = _fsdk.HTML2PDFSettingData_e_MediaStylePrint
| Media style: print. It means PDF page will be displayed in print media style.
| e_MediaStyleScreen = _fsdk.HTML2PDFSettingData_e_MediaStyleScreen
| Media style: screen. It means PDF page will be displayed in screen media style.
| e_PageModeMultiplePage = _fsdk.HTML2PDFSettingData_e_PageModeMultiplePage
| Multiple page mode.
| e_PageModeSinglePage = _fsdk.HTML2PDFSettingData_e_PageModeSinglePage
| Single page mode.
| e_ScalingModeEnlarge = _fsdk.HTML2PDFSettingData_e_ScalingModeEnlarge
| Page scaling: Enlarge. It means PDF page will be enlarged to HTML content size. In this mode, the text size of HTML content will not be changed.
| e_ScalingModeNone = _fsdk.HTML2PDFSettingData_e_ScalingModeNone
| Scaling mode: Fixed page with no scale. In this mode, the text size of HTML content will not be changed.
| e_ScalingModeScale = _fsdk.HTML2PDFSettingData_e_ScalingModeScale
| Page scaling: Scale. It means HTML content will be scaled to fit PDF page size. In this mode, the text size may be changed.
| encoding_format = _fsdk.HTML2PDFSettingData_encoding_format
| The HTML encoding format Please refer to values starting from FoxitPDFSDKPython2.HTML2PDFSettingData.e_EncodingFormatDefault and this should be one of these values.
| headerfooter_title = _fsdk.HTML2PDFSettingData_headerfooter_title
| The header-footer title which is content for center header.
| headerfooter_url = _fsdk.HTML2PDFSettingData_headerfooter_url
| The header-footer url which is content for left footer.
| is_convert_link = _fsdk.HTML2PDFSettingData_is_convert_link
| Used to decide whether the web link should be converted or not.
| is_generate_tag = _fsdk.HTML2PDFSettingData_is_generate_tag
| Used to decide whether the tag should be generated or not.
| is_to_page_scale = _fsdk.HTML2PDFSettingData_is_to_page_scale
| Used to decide whether to scale the converted PDF page or not. More...
| media_style = _fsdk.HTML2PDFSettingData_media_style
| The media style used for the converted PDF document. Please refer to values starting from FoxitPDFSDKPython2.HTML2PDFSettingData.e_MediaStyleScreen and this should be one of these values.
| page_height = _fsdk.HTML2PDFSettingData_page_height
| The page height used for the converted PDF document (unit is 1/72 inch). More...
| page_margin = _fsdk.HTML2PDFSettingData_page_margin
| The page margin used for converted PDF document. More...
| page_mode = _fsdk.HTML2PDFSettingData_page_mode
| The page mode used for the converting. Please refer to values starting from FoxitPDFSDKPython2.HTML2PDFSettingData.e_PageModeSinglePage and this should be one of these values.
| page_width = _fsdk.HTML2PDFSettingData_page_width
| The page width used for the converted PDF document (unit is 1/72 inch). More...
| rotate_degrees = _fsdk.HTML2PDFSettingData_rotate_degrees
| The rotation degree used for the converted PDF page.Please refer to values starting from FoxitPDFSDKPython2.e_Rotation0 and this should be one of these values.
| scaling_mode = _fsdk.HTML2PDFSettingData_scaling_mode
| The scaling mode used for the converted PDF document. Please refer to values starting from FoxitPDFSDKPython2.HTML2PDFSettingData.e_ScalingModeNone and this should be one of these values.
| to_deny_local_file_access = _fsdk.HTML2PDFSettingData_to_deny_local_file_access
| Used to decide whether to deny local file access or not during converting html file. It can not support on Linux x86 platform. More...
| to_disable_sandbox = _fsdk.HTML2PDFSettingData_to_disable_sandbox
| Used to decide whether to disable sandbox or not. More...
| to_generate_bookmarks = _fsdk.HTML2PDFSettingData_to_generate_bookmarks
| Used to decide whether bookmarks should be generated or not.
| to_hide_footer = _fsdk.HTML2PDFSettingData_to_hide_footer
| Used to decide whether to hide footer or not. It can not support on Linux x86 platform.
| to_hide_header = _fsdk.HTML2PDFSettingData_to_hide_header
| Used to decide whether to hide header or not. It can not support on Linux x86 platform.
| to_load_active_content = _fsdk.HTML2PDFSettingData_to_load_active_content
| Used to decide whether to load active content or not. More...
| to_optimize_tag_tree = _fsdk.HTML2PDFSettingData_to_optimize_tag_tree
| Used to decide whether to optimize tag tree or not.
| to_print_background = _fsdk.HTML2PDFSettingData_to_print_background
| Used to decide whether to print background or not.
| to_remove_underline_for_link = _fsdk.HTML2PDFSettingData_to_remove_underline_for_link
| Used to decide whether to remove underline decoration for link.
| to_render_images = _fsdk.HTML2PDFSettingData_to_render_images
| Used to decide whether to render images or not.
| to_resize_objects = _fsdk.HTML2PDFSettingData_to_resize_objects
| Whether to enable the Javascripts related resizing of the objects during rendering process.
| to_set_headerfooter = _fsdk.HTML2PDFSettingData_to_set_headerfooter
| Used to decide whether to set header-footer or not.
| to_use_blacklist = _fsdk.HTML2PDFSettingData_to_use_blacklist
| Used to decide whether to use blacklist or not. More...

## Detailed Description

This class represents setting data used for converting HTML to PDF.

## Constructor & Destructor Documentation

## ◆ HTML2PDFSettingData()

def FoxitPDFSDKPython2.HTML2PDFSettingData.HTML2PDFSettingData | ( |  | page_width,
|  |  | page_height,
|  |  | is_to_page_scale,
|  |  | page_margin,
|  |  | is_convert_link,
|  |  | rotate_degrees,
|  |  | is_generate_tag,
|  |  | page_mode,
|  |  | to_generate_bookmarks,
|  |  | scaling_mode,
|  |  | encoding_format,
|  |  | to_render_images,
|  |  | to_remove_underline_for_link,
|  |  | to_set_headerfooter,
|  |  | headerfooter_title,
|  |  | headerfooter_url,
|  |  | bookmark_root_name,
|  |  | to_resize_objects,
|  |  | to_print_background,
|  |  | to_optimize_tag_tree,
|  |  | media_style,
|  |  | to_load_active_content,
|  |  | to_disable_sandbox,
|  |  | to_use_blacklist,
|  |  | to_hide_header,
|  |  | to_hide_footer,
|  |  | to_deny_local_file_access
| ) |  |

Constructor, with parameters.

Parameters

  [in] | page_width | The page width used for the converted PDF document (unit is 1/72 inch).
  [in] | page_height | The page height used for the converted PDF document (unit is 1/72 inch). This would be ignored if page mode FoxitPDFSDKPython2.HTML2PDFSettingData.e_PageModeSinglePage is used.
  [in] | is_to_page_scale | (Deprecated)Used to decide whether to scale the converted PDF page or not.
  [in] | page_margin | The page margin used for converted PDF document.
  [in] | is_convert_link | Used to decide whether the web link should be converted or not.
  [in] | rotate_degrees | The rotation degree used for the converted PDF page.Please refer to values starting from FoxitPDFSDKPython2.e_Rotation0 and this should be one of these values.
  [in] | is_generate_tag | Used to decide whether the tag should be generated or not.
  [in] | page_mode | The page mode used for the converting. Please refer to values starting from FoxitPDFSDKPython2.HTML2PDFSettingData.e_PageModeSinglePage and this should be one of these values.
  [in] | to_generate_bookmarks | Used to decide whether bookmarks should be generated or not.
  [in] | scaling_mode | The scaling mode used for the converted PDF document. Please refer to values starting from FoxitPDFSDKPython2.HTML2PDFSettingData.e_ScalingModeNone and this should be one of these values. Default value:FoxitPDFSDKPython2.HTML2PDFSettingData.e_ScalingModeScale .
  [in] | encoding_format | The HTML encoding format Please refer to values starting from and this should be one of these values.
  [in] | to_render_images | Whether to render images or not.
  [in] | to_remove_underline_for_link | Whether to remove underline decoration for link or not.
  [in] | to_set_headerfooter | Whether to set header-footer or not.
  [in] | headerfooter_title | The header-footer title which is content for center header.
  [in] | headerfooter_url | The header-footer url which is content for left footer.
  [in] | bookmark_root_name | The bookmark's root name.
  [in] | to_resize_objects | Whether to enable the Javascripts related resizing of the objects during rendering process.
  [in] | to_print_background | Whether to print background or not.
  [in] | to_optimize_tag_tree | Whether to optimize tag tree or not.
  [in] | media_style | The media style used for the converted PDF document. Please refer to values starting from FoxitPDFSDKPython2.HTML2PDFSettingData.e_MediaStyleScreen and this should be one of these values.
  [in] | to_load_active_content | Whether to load active content or not.
  [in] | to_disable_sandbox | Whether to disable sandbox or not.
  [in] | to_use_blacklist | Whether to use blacklist or not.
  [in] | to_hide_header | Whether to hide header or not.
  [in] | to_hide_footer | Whether to hide footer or not.
  [in] | to_deny_local_file_access | Whether to deny local file access or not.

Returns
  None.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.HTML2PDFSettingData.Set | ( |  | page_width,
|  |  | page_height,
|  |  | is_to_page_scale,
|  |  | page_margin,
|  |  | is_convert_link,
|  |  | rotate_degrees,
|  |  | is_generate_tag,
|  |  | page_mode,
|  |  | to_generate_bookmarks,
|  |  | scaling_mode,
|  |  | encoding_format,
|  |  | to_render_images,
|  |  | to_remove_underline_for_link,
|  |  | to_set_headerfooter,
|  |  | headerfooter_title,
|  |  | headerfooter_url,
|  |  | bookmark_root_name,
|  |  | to_resize_objects,
|  |  | to_print_background,
|  |  | to_optimize_tag_tree,
|  |  | media_style,
|  |  | to_load_active_content,
|  |  | to_disable_sandbox,
|  |  | to_use_blacklist,
|  |  | to_hide_header,
|  |  | to_hide_footer,
|  |  | to_deny_local_file_access
| ) |  |

Set value.

Parameters

  [in] | page_width | The page width used for the converted PDF document (unit is 1/72 inch).
  [in] | page_height | The page height used for the converted PDF document (unit is 1/72 inch). This would be ignored if page mode FoxitPDFSDKPython2.HTML2PDFSettingData.e_PageModeSinglePage is used.
  [in] | is_to_page_scale | (Deprecated)Used to decide whether to scale the converted PDF page or not.
  [in] | page_margin | The page margin used for converted PDF document.
  [in] | is_convert_link | Used to decide whether the web link should be converted or not.
  [in] | rotate_degrees | The rotation degree used for the converted PDF page.Please refer to values starting from FoxitPDFSDKPython2.e_Rotation0 and this should be one of these values.
  [in] | is_generate_tag | Used to decide whether the tag should be generated or not.
  [in] | page_mode | The page mode used for the converting. Please refer to values starting from FoxitPDFSDKPython2.HTML2PDFSettingData.e_PageModeSinglePage and this should be one of these values.
  [in] | to_generate_bookmarks | Used to decide whether bookmarks should be generated or not.
  [in] | scaling_mode | The scaling mode used for the converted PDF document. Please refer to values starting from FoxitPDFSDKPython2.HTML2PDFSettingData.e_ScalingModeNone and this should be one of these values.Default value:.
  [in] | encoding_format | The HTML encoding format Please refer to values starting from and this should be one of these values.
  [in] | to_render_images | Whether to render images or not.
  [in] | to_remove_underline_for_link | Whether to remove underline decoration for link or not.
  [in] | to_set_headerfooter | Whether to set header-footer or not.
  [in] | headerfooter_title | The header-footer title which is content for center header.
  [in] | headerfooter_url | The header-footer url which is content for left footer.
  [in] | bookmark_root_name | The bookmark's root name.
  [in] | to_resize_objects | Whether to enable the Javascripts related resizing of the objects during rendering process.
  [in] | to_print_background | Whether to print background or not.
  [in] | to_optimize_tag_tree | Whether to optimize tag tree or not.
  [in] | media_style | The media style used for the converted PDF document. Please refer to values starting from FoxitPDFSDKPython2.HTML2PDFSettingData.e_MediaStyleScreen and this should be one of these values.
  [in] | to_load_active_content | Whether to load active content or not.
  [in] | to_disable_sandbox | Whether to disable sandbox or not.
  [in] | to_use_blacklist | Whether to use blacklist or not.
  [in] | to_hide_header | Whether to hide header or not.
  [in] | to_hide_footer | Whether to hide footer or not.
  [in] | to_deny_local_file_access | Whether to deny local file access or not.

Returns
  None.

## Member Data Documentation

## ◆ is_to_page_scale

FoxitPDFSDKPython2.HTML2PDFSettingData.is_to_page_scale = _fsdk.HTML2PDFSettingData_is_to_page_scale
| static

Used to decide whether to scale the converted PDF page or not.

Deprecated:
  Current property has been deprecated since Foxit PDF SDK 8.2. This property will not have any effect on converting PDF any more. For scaling mode, please refer to scaling_mode.

## ◆ page_height

FoxitPDFSDKPython2.HTML2PDFSettingData.page_height = _fsdk.HTML2PDFSettingData_page_height
| static

The page height used for the converted PDF document (unit is 1/72 inch).

This value minus the sum of the top and bottom margins must be bigger than 16.

Note
  The page height would be ignored if page mode FoxitPDFSDKPython2.HTML2PDFSettingData.e_PageModeSinglePage is used.

## ◆ page_margin

FoxitPDFSDKPython2.HTML2PDFSettingData.page_margin = _fsdk.HTML2PDFSettingData_page_margin
| static

The page margin used for converted PDF document.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a PDF page.

## ◆ page_width

FoxitPDFSDKPython2.HTML2PDFSettingData.page_width = _fsdk.HTML2PDFSettingData_page_width
| static

The page width used for the converted PDF document (unit is 1/72 inch).

This value minus the sum of the left and right margins must be bigger than 16.

## ◆ to_deny_local_file_access

FoxitPDFSDKPython2.HTML2PDFSettingData.to_deny_local_file_access = _fsdk.HTML2PDFSettingData_to_deny_local_file_access
| static

Used to decide whether to deny local file access or not during converting html file. It can not support on Linux x86 platform.

true means that prevents the HTML file from accessing any local files outside of its own directory. false means that allows the HTML file to access to any local file paths. Default value: false.

## ◆ to_disable_sandbox

FoxitPDFSDKPython2.HTML2PDFSettingData.to_disable_sandbox = _fsdk.HTML2PDFSettingData_to_disable_sandbox
| static

Used to decide whether to disable sandbox or not.

true means to disable sandbox, and false means not. Default: true.

## ◆ to_load_active_content

FoxitPDFSDKPython2.HTML2PDFSettingData.to_load_active_content = _fsdk.HTML2PDFSettingData_to_load_active_content
| static

Used to decide whether to load active content or not.

This parameter is useful for some optimized web pages. These web page will not load the entire content. When the user scrolls down the page, the contents of the web page will be loaded when they are displayed on the user screen. true means to load the active content that has not been loaded by the web page, and false means not. Default:false.

## ◆ to_use_blacklist

FoxitPDFSDKPython2.HTML2PDFSettingData.to_use_blacklist = _fsdk.HTML2PDFSettingData_to_use_blacklist
| static

Used to decide whether to use blacklist or not.

This parameter is useful for checking all accessed URLs during the HTML to the PDF conversion process.
During the conversion of specific URL, there could be many third-party websites that are accessed by the conversion process (images, CSS styles, requests from JavaScripts, and others).
All of these accesses will be checked against the blacklist record. There is a prepared switch that enables the blacklist functionality in the converter. true means to use the blacklist, and false means not. Default: false. Blacklist JSON is located next to the fxhtml2pdf application and its name must be "blacklist.json".It consist from three parts of records:

- list of domains.
- list of IPs.
- list of IP ranges.

"blacklist.json" Examples:

             {"Domains":[
                  "xxx.com",
                  "xxx.com"
                  ]
              ,
             "IPs":["1.2.3.4","5.6.7.8"]
             ,
             "IPsegments":[{"16":["104.193.88.0","104.193.88.100"]},{"16":["20.0.0.1","20.0.0.10"]}]
             }